<template>
  <div class="footer">
    <div class="copyright" v-html="footer.copyright"></div>
    <nav class="footer-nav">
      <div v-if="linkAssortment" class="footer-assortment">
        <span>{{ linkAssortment.shortName }}</span>
        <div  class="footer-assortment-wrapp">
          <RouterLink  v-for="item in linkAssortment.subMenu" :to="item.url_detail_page" :title="item.code" v-html="item.name" />
        </div>
      </div>
      <RouterLink v-if="linkMenu" v-for="item in linkMenu" :to="item.link && item.link.href" :title="item.code" v-html="item.name" />
    </nav>
    <div class="kruche-wrapper" v-html="footer.developer"></div>
  </div>
</template>

<script>
import { HTTP, Routes } from "../api/API";

export default {
  components: {},
  props: {
    // img: { type: Boolean, default: false },
  },
  data() {
    return {
      footer: {},
    };
  },
  computed: {
    linkMenu(){
      return this.footer && this.footer.menu_elements && this.footer.menu_elements.slice(1)
    },
    linkAssortment(){
      return this.footer && this.footer.menu_elements && this.footer.menu_elements[0]
    }
  },
  created() {},
  mounted() {
    this.getContent();
  },
  updated() {},
  methods: {
    getContent() {
      HTTP.get(Routes.homePage)
        .then(response => {
          const home = response.data.data.content;
          home.forEach(item => {
            switch (item.type) {
              case "footer":
                this.footer = item;
                // console.log('this.footer: ', this.footer);
                break;
              default:
                break;
            }
          });
        })
        .catch(error => {
          console.log(error);
        });
   
    },
  },
};
</script>
